@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Playfair:ital,opsz,wght@0,5..1200,300..900;1,5..1200,300..900&display=swap');

:root {
    --font-heading: "Playfair", serif;
    --font-body: "Lato", sans-serif;
    --font-size: 1rem;
    --text-color: #374151;
    --accent-color-50: #f9ecff;
    --accent-color-100: #8a5cf644;
    --accent-color-300: #482796;
    --accent-color-500: #58296e;
    --white: white;
    --sm-border-radius: 5px;
    --md-border-radius: 10px;
    --lg-border-radius: 20px;
    --box-shadow: 0 0 10px rgba(0, 0, 0, 0.767);
}

* {
    padding: 0;
    margin: 0;
}

body {
    height: 100vh;
    width: 100%;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: var(--font-body);
    font-size: var(--font-size);
    color: var(--text-color);
    background-color: var(--accent-color-500);
    display: flex;
    justify-content: center;
    align-items: center;
    letter-spacing: 0.3px;
    overflow-x: hidden;
}

.profile-card {
    position: relative;
    background-color: var(--accent-color-50);
    width: 600px;
    height: fit-content;
    border-radius: var(--md-border-radius);
    padding: 1rem;
    box-shadow: var(--box-shadow);
}

.profile-card::before {
    position: absolute;
    content: "";
    width: 50%;
    height: 90%;
    background-color: var(--accent-color-50);
    left: -3%;
    bottom: 0;
    border-radius: var(--lg-border-radius);
    transform: skew(5deg);
    z-index: -1;
    box-shadow: var(--box-shadow);
}

.profile-card::after {
    position: absolute;
    content: "";
    width: 50%;
    height: 90%;
    background-color: var(--accent-color-50);
    right: -3%;
    bottom: 0;
    border-radius: var(--lg-border-radius);
    transform: skew(-5deg);
    z-index: -1;
    box-shadow: var(--box-shadow);

}

.profile-card-heading {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.profile-card-heading__picture {
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

.profile-card-heading__picture img {
    background-color: var(--accent-color-100);
    height: 100%;
    width: 100%;
    border-radius: 50%;
}

.profile-card-heading__info {
    line-height: 1.5;
}

.profile-card-heading__info h2 {
    font-size: 1.5rem;
}

hr {
    border: 1px dashed #8a5cf652;
    margin: 1.1rem 0;
}

.profile-card-content {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.profile-card-content strong {
    margin-right: 0.4rem;
}

.profile-card-content__bio {
    line-height: 1.9;
}

.profile-card-content__hobbies span,
.profile-card-content__dislikes span {
    background-color: #5e0a851f;
    padding: 9px 10px;
    border-radius: var(--sm-border-radius);
    color: var(--accent-color-500);
    margin-right: 0.7rem;
    font-weight: bold;
    box-shadow: -1px 1px 2px rgba(68, 1, 68, 0.534);
}

.profile-card-content__socials i {
    color: var(--accent-color-500);
    font-size: 1.3rem;
}

footer {
    background-color: var(--accent-color-500);
    color: white;
    padding: 12px 10px;
    border-radius: var(--sm-border-radius);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 1rem;
    font-weight: bold;
    box-shadow: -4px 4px 0 rgba(0, 0, 0, 0.185);
}

footer span {
    margin-left: 0.5rem;
}

@media (max-width: 1024px) {
    body {
        padding: 4rem;
        align-items: start;
    }

    .profile-card {
        width: 90%;
    }
}

@media (max-width: 768px) {

    .profile-card-content__hobbies span,
    .profile-card-content__dislikes span {
        display: block;
        margin-top: 1rem;
    }
}

@media (max-width: 600px) {
    body {
        padding: 2rem 1rem;
    }

    .profile-card {
        width: auto;
    }

    .profile-card::before,
    .profile-card::after {
        display: none;
    }

}